import { cWebRouteModule } from "./server";
export { Request, Response, NextFunction } from 'express';
import { RequestHandlerParams } from "express-serve-static-core";
import md_parse from "./md";
import { ifFunction } from "./route";
/**
 * 这里负责http的解析，然后传递给对于的处理方法
 * 目前比较简陋，后续需要增加一下处理
 */
export declare var WebRouteModule: {
    name: string;
    instance: cWebRouteModule;
    /**在模块初始化开始前注册 */
    use(...handlers: RequestHandlerParams<import("express-serve-static-core").ParamsDictionary>[]): boolean;
    md_parse: typeof md_parse;
    /**在模块初始化开始前注册 */
    enableStatic: (root: string) => boolean;
    /**注册代码模块的位置 */
    routePath(routePath: string): void;
    docPath(mdfilePath: string): void;
    /**
     * 是否开启跨域
     */
    openCross(b_switch?: boolean): void;
    /**
     * 注册响应函数
     * @param dirname 接口文件地址
     * @param event 接口名字
     * @param paramlist 提前检查的参数 不满足会提前返回失败
     * @param func 处理函数
     */
    registRoute(dirname: string, event: string, paramlist: string[], func: ifFunction): void;
    /**
     * 初始化模块
     * @param port
     */
    init(port: number, limit?: string | {
        [x: string]: string | undefined;
        json?: string | undefined;
        text?: string | undefined;
        raw?: string | undefined;
        urlencoded?: string | undefined;
    } | undefined): Promise<unknown>;
};
